using SanShared;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CSVParser
{
    public abstract class CSVParser : IReadCSVData
    {
        private string csvFile;
        public CSVParser(string csvFile)
        {
            this.csvFile = csvFile;
        }
        public virtual string[] Input
        {
            get
            {
                if (!File.Exists(csvFile)) return null;
                return File.ReadAllLines(csvFile);
            }
        }
        public abstract List<UVcsvStrukture> ReadCSVStrukture();
    }
}
